### Class

# Ide FileSettings

#### Description

    class Ide.FileSettings : Ide.Object {
      parent_instance: IdeObject
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Constructors

###### ide_file_settings_new

No description available.

#### Instance methods

###### ide_file_settings_get_file

Retrieves the underlying file that `self` refers to.

Available since: 3.32

###### ide_file_settings_get_language

If the language for file settings is known up-front, this will indicate the language identifier known to GtkSourceView such as “c” or “sh”.

Available since: 3.32

###### ide_file_settings_get_settled

Gets the `IdeFileSettings:settled` property.

Available since: 3.32

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.FileSettings:auto-indent

No description available.

###### Ide.FileSettings:auto-indent-set

No description available.

###### Ide.FileSettings:encoding

No description available.

###### Ide.FileSettings:encoding-set

No description available.

###### Ide.FileSettings:file

No description available.

###### Ide.FileSettings:indent-style

No description available.

###### Ide.FileSettings:indent-style-set

No description available.

###### Ide.FileSettings:indent-width

No description available.

###### Ide.FileSettings:indent-width-set

No description available.

###### Ide.FileSettings:insert-matching-brace

No description available.

###### Ide.FileSettings:insert-matching-brace-set

No description available.

###### Ide.FileSettings:insert-trailing-newline

No description available.

###### Ide.FileSettings:insert-trailing-newline-set

No description available.

###### Ide.FileSettings:language

No description available.

###### Ide.FileSettings:newline-type

No description available.

###### Ide.FileSettings:newline-type-set

No description available.

###### Ide.FileSettings:overwrite-braces

No description available.

###### Ide.FileSettings:overwrite-braces-set

No description available.

###### Ide.FileSettings:right-margin-position

No description available.

###### Ide.FileSettings:right-margin-position-set

No description available.

###### Ide.FileSettings:settled

No description available.

###### Ide.FileSettings:show-right-margin

No description available.

###### Ide.FileSettings:show-right-margin-set

No description available.

###### Ide.FileSettings:spaces-style

No description available.

###### Ide.FileSettings:spaces-style-set

No description available.

###### Ide.FileSettings:tab-width

No description available.

###### Ide.FileSettings:tab-width-set

No description available.

###### Ide.FileSettings:trim-trailing-whitespace

No description available.

###### Ide.FileSettings:trim-trailing-whitespace-set

No description available.

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeFileSettingsClass {
      IdeObjectClass parent;

    }

###### Class members

`parent` |
    IdeObjectClass
| No description available.